/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadro2-libs-1.99.0-build/avogadrolibs-1.99.0/avogadro/qtplugins/fetchpdb/fetchpdb.h"


namespace Avogadro::QtPlugins {

class FetchPDBFactory : public QObject, public QtGui::ExtensionPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ExtensionPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ExtensionPluginFactory)

public:
  explicit FetchPDBFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ExtensionPlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new FetchPDB(parent_);
    object->setObjectName("FetchPDB");
    return object;
  }

  QString identifier() const { return "FetchPDB"; }

  QString description() const { return "Fetch PDB"; }

};

}

#include "FetchPDBPlugin.moc"
