/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadro2-libs-1.99.0-build/avogadrolibs-1.99.0/avogadro/qtplugins/manipulator/manipulator.h"


namespace Avogadro::QtPlugins {

class ManipulatorFactory : public QObject, public QtGui::ToolPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ToolPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ToolPluginFactory)

public:
  explicit ManipulatorFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ToolPlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new Manipulator(parent_);
    object->setObjectName("Manipulator");
    return object;
  }

  QString identifier() const { return "Manipulator"; }

  QString description() const { return "Manipulator"; }

};

}

#include "ManipulatorPlugin.moc"
