/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadro2-libs-1.99.0-build/avogadrolibs-1.99.0/avogadro/qtplugins/openmminput/openmminput.h"


namespace Avogadro::QtPlugins {

class OpenMMInputFactory : public QObject, public QtGui::ExtensionPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ExtensionPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ExtensionPluginFactory)

public:
  explicit OpenMMInputFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ExtensionPlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new OpenMMInput(parent_);
    object->setObjectName("OpenMMInput");
    return object;
  }

  QString identifier() const { return "OpenMMInput"; }

  QString description() const { return "OpenMM input script generation"; }

};

}

#include "OpenMMInputPlugin.moc"
